Page MenuHomePhabricator

debianize docker-registry 2.7.0-rc0 and upload in stretch-wikimedia
Closed, ResolvedPublic

Description

there is a 2.6.2 package on buster but we need to bump to 2.7.0-rc0 to get the prometheus exporter metrics.

Details

Related Gerrit Patches:
operations/debs/docker-distribution : debian/stretch-wikimediabuster package modified to customize it for WMF and for build 2.7
operations/debs/docker-distribution : debian/stretch-wikimediaImporting docker-registry debianization from buster for 2.6.2
operations/debs/docker-distribution : debian/stretch-wikimediainitial debianization of docker distribution 2.7

Event Timeline

fsero triaged this task as Medium priority.Nov 21 2018, 11:22 AM
fsero created this task.

Change 475720 had a related patch set uploaded (by Fsero; owner: Fsero):
[operations/debs/docker-distribution@debian/stretch-wikimedia] initial debianization of docker distribution 2.7

https://gerrit.wikimedia.org/r/475720

Change 475720 abandoned by Fsero:
initial debianization of docker distribution 2.7

Reason:
hard to review and not making jenkins happy i'll do two reviews as suggested.

https://gerrit.wikimedia.org/r/475720

Change 475764 had a related patch set uploaded (by Fsero; owner: Fsero):
[operations/debs/docker-distribution@debian/stretch-wikimedia] Importing docker-registry debianization from buster for 2.6.2

https://gerrit.wikimedia.org/r/475764

Change 475764 merged by Fsero:
[operations/debs/docker-distribution@debian/stretch-wikimedia] Importing docker-registry debianization from buster for 2.6.2

https://gerrit.wikimedia.org/r/475764

Change 475792 had a related patch set uploaded (by Fsero; owner: Fsero):
[operations/debs/docker-distribution@debian/stretch-wikimedia] buster package modified to customize it for WMF and for build 2.7

https://gerrit.wikimedia.org/r/475792

fsero moved this task from Backlog to In progress on the Prod-Kubernetes board.Dec 10 2018, 10:23 AM
fsero moved this task from Backlog to Doing on the serviceops board.

Change 475792 merged by Fsero:
[operations/debs/docker-distribution@debian/stretch-wikimedia] buster package modified to customize it for WMF and for build 2.7

https://gerrit.wikimedia.org/r/475792

fsero closed this task as Resolved.Jan 21 2019, 10:32 AM